# MSP::CCS::GARSCoordinates Class Reference

`#include <GARSCoordinates.h>`

Inheritance diagram for MSP::CCS::GARSCoordinates:

List of all members.

## Public Member Functions

| GARSCoordinates ()
| GARSCoordinates (CoordinateType::Enum _coordinateType)
| GARSCoordinates (CoordinateType::Enum _coordinateType, const char *__GARSString)
| GARSCoordinates (CoordinateType::Enum _coordinateType, const char *__GARSString, Precision::Enum __precision)
| GARSCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, const char *__GARSString, Precision::Enum __precision)
| GARSCoordinates (const GARSCoordinates &gc)
| ~GARSCoordinates ()
GARSCoordinates & | operator= (const GARSCoordinates &gc)
void | set (char __GARSString[8])
char * | GARSString ()
Precision::Enum | precision () const

## Detailed Description

Definition at line 16 of file GARSCoordinates.h.

## Constructor & Destructor Documentation

GARSCoordinates::GARSCoordinates | ( |  | ) |

Definition at line 11 of file GARSCoordinates.cpp.

GARSCoordinates::GARSCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file GARSCoordinates.cpp.

GARSCoordinates::GARSCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __GARSString |
| ) |  |  |

Definition at line 27 of file GARSCoordinates.cpp.

GARSCoordinates::GARSCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __GARSString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 36 of file GARSCoordinates.cpp.

GARSCoordinates::GARSCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | const char * | __GARSString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 45 of file GARSCoordinates.cpp.

GARSCoordinates::GARSCoordinates | ( | const GARSCoordinates & | gc | ) |

Definition at line 58 of file GARSCoordinates.cpp.

GARSCoordinates::~GARSCoordinates | ( |  | ) |

Definition at line 73 of file GARSCoordinates.cpp.

## Member Function Documentation

char * GARSCoordinates::GARSString | ( |  | ) |

Definition at line 105 of file GARSCoordinates.cpp.

GARSCoordinates & GARSCoordinates::operator= | ( | const GARSCoordinates & | gc | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 78 of file GARSCoordinates.cpp.

Precision::Enum GARSCoordinates::precision | ( |  | ) | const

Definition at line 111 of file GARSCoordinates.cpp.

void GARSCoordinates::set | ( | char | __GARSString[8] | ) |

Definition at line 98 of file GARSCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GARSCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GARSCoordinates.cpp